package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.CopyrightApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:27
 */
@Mapper
public interface CopyrightApplyMapper extends BaseMapper<CopyrightApply> {

    /**
     * 查询用户的版权登记列表
     *
     * @param userId
     * @param state
     * @return
     */
    List<CopyrightApply> list(@Param("userId") Integer userId, @Param("state") Integer state);
}
